org.apache.ignite.internal.pagemem.wal.record

## Class TimeStampRecord

- java.lang.Object
- - org.apache.ignite.internal.pagemem.wal.record.WALRecord
  - - org.apache.ignite.internal.pagemem.wal.record.TimeStampRecord

Direct Known Subclasses:
  DataRecord, ExchangeRecord, TxRecord

    public abstract class TimeStampRecord
    extends WALRecord

Base class for records with timeStamp. All records which support timeStamp should be inherited from `TimeStampRecord`.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.ignite.internal.pagemem.wal.record.WALRecord

`WALRecord.RecordPurpose, WALRecord.RecordType`

### Field Summary

Fields
`protected long` `timestamp` Timestamp.

### Constructor Summary

Constructors
`protected` `TimeStampRecord()`
`protected` `TimeStampRecord(long timestamp)`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `timestamp()`
`void` `timestamp(long timestamp)`
`String` `toString()`

### Methods inherited from class org.apache.ignite.internal.pagemem.wal.record.WALRecord

`chainSize, chainSize, position, position, previous, previous, size, size, type`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### timestamp

    @GridToStringInclude
    protected long timestamp

Timestamp.

### Constructor Detail

#### TimeStampRecord

    protected TimeStampRecord()

#### TimeStampRecord

    protected TimeStampRecord(long timestamp)

Parameters:
  `timestamp` - TimeStamp.

### Method Detail

#### timestamp

    public void timestamp(long timestamp)

Parameters:
  `timestamp` - TimeStamp.

#### timestamp

    public long timestamp()

Returns:
  TimeStamp.

#### toString

    public String toString()

Overrides:
  `toString` in class `WALRecord`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.1
Release Date | : May 21 2020